e<!DOCTYPE html>
<html lang="zxx">

<head>
  <meta charset="utf-8">
  <title>Thomson-Minimal Portfolio</title>

  <!-- mobile responsive meta -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

  <!-- ** Plugins Needed for the Project ** -->
  <!-- Bootstrap -->
  <link rel="stylesheet" href="plugins/bootstrap/bootstrap.min.css">
  <link rel="stylesheet" href="plugins/themify/css/themify-icons.css">
  <link rel="stylesheet" href="plugins/counto/animate.css">
  <link rel="stylesheet" href="plugins/aos/aos.css">
  <link rel="stylesheet" href="plugins/owl-carousel/owl.carousel.min.css">
  <link rel="stylesheet" href="plugins/owl-carousel/owl.theme.default.min.css">
  <link rel="stylesheet" href="plugins/magnific-popup/magnific-popup.css">
  <link rel="stylesheet" href="plugins/animated-text/animated-text.css">

  <!-- Main Stylesheet -->
  <link href="css/style.css" rel="stylesheet">

</head>

<body>
  <style>
  body {
      background-color: ##efefef;

  }
  </style>
<!-- Header Start -->

<nav class="navbar navbar-expand-lg  main-nav " id="navbar">
	<div class="container">
	  <a class="navbar-brand" href="simpletemplate/index.html">

      <div align="center">
        <img src="images/logonaty.png" style= "width: 50px" align="center" >

      </div>
	  </a>

	  <button class="navbar-toggler collapsed" type="button" data-toggle="collapse" data-target="#navbarsExample09" aria-controls="navbarsExample09" aria-expanded="false" aria-label="Toggle navigation">
		<span class="ti-align-justify"></span>
	  </button>

		  <div class="collapse navbar-collapse" id="navbarsExample09">
			<ul class="navbar-nav ml-auto">
         <li class="nav-item  active"><a class="nav-link" href="introductiontodigitalfabrication.html">Return</a></li>
			  <li class="nav-item  active"><a class="nav-link" href="index.html">Main Page</a></li>

         <li class="nav-item  active"><a class="nav-link" href="about.html">About Me</a></li>



			   <li class="nav-item"><a class="nav-link" href="https://gitlab.com/flu">Gitlab Repo</a></li>
			</ul>
		</div>
	</div>
</nav>





<!-- Header Close -->




  <div class="container">
<!-- <div class="col-12"> -->

      <!-- </div> -->



<div class="col-lg-12 col-xs-12">
<section class="section blog-post" style="padding: 100px 180px;">
	<div class="container">
		<div class="row">
			<!-- <div class="col-lg-6"> -->
				<article class="single-post">
          <div class= "middle" align="justify">
            <h9> Interface and application programming </h9>

            <h8> 3.5.2020</h8>
            <p>
            </p>
            <p> This week in fabacademy was for me so far the most exciting one! As a graphic designer with weakness for interfaces and novel enthusiast of Processing, I looked forward to this week a lot. I decided to push my previous work on assignment in Outputs week and learn more about Processing.. Working with 3D in Processing was something that I have secretly desired to learn as I wanted to use this knowledge to build branding identity of my master thesis project. </p>
            <p> The task for this week was to write an application that interfaces a user with an input and/or output and to try at least 2 different interfaces. </p>
            <p> I have decided to create a responsive art, certain "wallpaper" that would respond to the movementof the mouse. After getting this done, I wanted to connect the photocell sensor and make the wallpaper light sensitive- changing shapes according to different light conditions. This wallpaper could be used for example for phone- in different weather conditions and times of day the user could enjoy the different and changing art on screen. Even though Macs wallpapers change according to hour of the day, the real time shifts for example indoors and outdoors are not present. I believe this kind of wallpaper could also teach user about bringing attention to present moment, learning to observe and notice the environment around him. I can imagine a further application of this- for example modelling flowers that would openand closeaccording to the hours of the day, bringing user to noticenaturemore. In this world, where everything is spinning faster and faster and most of our lives are happening on our screens, we need to find tools that would bring us closer to nature through technology, and through the tools we already have. Therefore I am asking can technology teach us about nature, make us notice is more?
            </p>

            <p> To understand how to model 3D geommetry in Processing that could be changed reshaped later I watched <a href="https://www.youtube.com/watch?v=RkuBWEkBrZA&t=1099s"> this tutorial. </a> I have created a simple sphere and experimented with its appearance. </p>
            <img src="images/sphere.jpg" style= "width: 700px" align="center">
            <p> After having this done, I have watched the second part of <a href="https://www.youtube.com/watch?v=m8WhMeW8jj0"> this tutorial. </a> where Coding Train explains how to animate this shape and make it change its shape. </p>
            <p> This week for me was a lot about learning 3D in processing, I wanted to understand how the shapes are built and how can I make them change shapes because after this, applications are only limited by imagination inputs making the shapes react can vary from movement, light to temperature or even data from IoT. </p>
<p> The importantthing that can be easily forgotten is to download the PeasyCam library that allows to rotate the shape. </p>
<img src="images/peasy.jpg" style= "width: 700px" align="center">

<p> The code created during this coding challenge can befound <a href="https://github.com/CodingTrain/website/blob/master/CodingChallenges/CC_025_SphereGeometry/Processing/CC_025_SphereGeometry/CC_025_SphereGeometry.pde"> here. </a> You can just open it and mess around yourself. </p>
<img src="images/examples.jpg" style= "width: 700px" align="center">

<p> The mathematical explanation of how supershapes workas well as the parametres to be used for modelling them can be found on <a href="http://paulbourke.net/geometry/supershape/"> here. </a> Which is also where I sourced them from. </p>
<p> As I mentioned, first I have made the shape responding to my mouse by simply including values mouseX and mouseY in map function. </p>
              <video width="700" height="320" controls>
                <source src="images/mouse.MOV" type="video/mp4">
              </video>

<p> After this I have connected the photocell to Arduino according to these instructions. </p>
<img src="images/photocell.png" style= "width: 700px" align="center">
<p> The photocell was reading the values without any problem. </p>
<p> The process after this was very similar to the one in week nine and is well documented <a href="https://nataliabarankova.gitlab.io/natalia.barankova/fabacademy9.html"> here. </a>
The process stems in including serial, make processing recognise the port of arduino and read values from it. The arduino code needs to be uploaded to board and read values correctly. After the value in processing is assigned as variable and can be placed in code and assigned to desired parametres. </p>

<a href="images/photocell.ino" download>PHOTOCELL CODE HERE</a>

<p> I have been playing around with different parametres and shapes. I was also changing values in arduino so the serial monitor streams values multiplied by certain number or divided by certain number. Here are some of the results I have achieved. </p>
<a href="images/supershape.pde" download>PROCESSING CODE HERE</a>


<video width="700" height="320" controls>
  <source src="images/IMG_5269.MOV" type="video/mp4">
</video>

<video width="700" height="320" controls>
  <source src="images/IMG_5273.mp4" type="video/mp4">
</video>

<video width="700" height="320" controls>
  <source src="images/IMG_5267.mp4" type="video/mp4">
</video>

<video width="700" height="320" controls>
  <source src="images/IMG_5266.mp4" type="video/mp4">
</video>











		<!-- <div class="post-meta mb-4">

		</div> -->
		<div class="share mt-4">
			<ul class="list-inline">
				<li class="mb-3">Share Now :</li>
				<li class="list-inline-item"><a href="#"><i class="ti-facebook mr-2"></i> Facebook</a></li>
				<li class="list-inline-item"><a href="#"><i class="ti-twitter mr-2"></i> Twitter</a></li>
				<li class="list-inline-item"><a href="#"><i class="ti-linkedin mr-2"></i> Linkedin</a></li>
				<li class="list-inline-item"><a href="#"><i class="ti-pinterest mr-2"></i> Pinterest</a></li>
			</ul>
		</div>
	</div>
  </article>


</div>
			</div>
		</div>
	</div>
</section>

<section class="footer">
	<div class="container">
		<div class="row ">
			<div class="col-lg-6">
				<p class="mb-0">Copyrights © 2019. Designed & Developed by <a href="themefisher.com" class="text-white">Themefisher</a></p>
			</div>
			<div class="col-lg-6">
				<div class="widget footer-widget text-lg-right mt-5 mt-lg-0">
					<ul class="list-inline mb-0">
						<li class="list-inline-item"><a href="https://www.facebook.com/themefisher" target="_blank"><i class="ti-facebook mr-3"></i></a>
						</li>
						<li class="list-inline-item"><a href="https://twitter.com/themefisher" target="_blank"><i class="ti-twitter mr-3"></i></a>
						</li>
						<li class="list-inline-item"><a href="https://github.com/themefisher/" target="_blank"><i class="ti-github mr-3"></i></a></li>
						<li class="list-inline-item"><a href="https://www.pinterest.com/themefisher/" target="_blank"><i class="ti-pinterest mr-3"></i></a></li>
						<li class="list-inline-item"><a href="https://dribbble.com/themefisher/" target="_blank"><i class="ti-dribbble mr-3"></i></a></li>
					</ul>
				</div>
			</div>
		</div>
	</div>
</section>
<!-- jQuery -->
<script src="plugins/jQuery/jquery.min.js"></script>
<!-- Bootstrap JS -->
<script src="plugins/bootstrap/bootstrap.min.js"></script>
<script src="plugins/aos/aos.js"></script>
<script src="plugins/owl-carousel/owl.carousel.min.js"></script>
<script src="plugins/shuffle/shuffle.min.js"></script>
<script src="plugins/magnific-popup/jquery.magnific-popup.min.js"></script>
<script src="plugins/animated-text/animated-text.js"></script>
<script src="plugins/counto/apear.js"></script>
<script src="plugins/counto/counTo.js"></script>

 <!-- Google Map -->
<script src="plugins/google-map/map.js"></script>
<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAkeLMlsiwzp6b3Gnaxd86lvakimwGA6UA&callback=initMap"></script>
<!-- Main Script -->
<script src="js/script.js"></script>

</html>
